scala.tools.nsc.backend.icode.analysis.CopyPropagation.copyLattice

# State

#### class State extends AnyRef

Source
  CopyPropagation.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. State
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new State(bindings: Bindings, stack: List[Value])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from State to any2stringadd[State] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (State, B)

   Implicit information
     This member is added by an implicit conversion from State to ArrowAssoc[State] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val bindings: Bindings

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def dup: State

10. #### def ensuring(cond: (State) ⇒ Boolean, msg: ⇒ Any): State

    Implicit information
      This member is added by an implicit conversion from State to Ensuring[State] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (State) ⇒ Boolean): State

    Implicit information
      This member is added by an implicit conversion from State to Ensuring[State] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): State

    Implicit information
      This member is added by an implicit conversion from State to Ensuring[State] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): State

    Implicit information
      This member is added by an implicit conversion from State to Ensuring[State] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(that: Any): Boolean

    Definition Classes
      State → AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from State to StringFormat[State] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### def getAlias(l: Global.icodes.Local): Global.icodes.Local

19. #### def getBinding(l: Global.icodes.Local): Value

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def getFieldNonRecordValue(r: Record, f: Global.Symbol): Option[Value]

    The same as getFieldValue, but never returns Record/Field values.

    The same as getFieldValue, but never returns Record/Field values. Use this when you want to find a replacement for a field value (either a local, or a constant/this value).

22. #### def getFieldValue(r: Record, f: Global.Symbol): Option[Value]

    Return a local which contains the same value as this field, if any.

    Return a local which contains the same value as this field, if any. If the field holds a reference to a local, the returned value is the binding of that local.

23. #### def hashCode(): Int

    Definition Classes
      State → AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### var stack: List[Value]

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      State → AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def →[B](y: B): (State, B)

    Implicit information
      This member is added by an implicit conversion from State to ArrowAssoc[State] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from State to any2stringadd[State]

### Inherited by implicit conversion StringFormat from State to StringFormat[State]

### Inherited by implicit conversion Ensuring from State to Ensuring[State]

### Inherited by implicit conversion ArrowAssoc from State to ArrowAssoc[State]

### Ungrouped